
/* Global Attributes */

html, body { /* background goes here because of XHTML semantics */
  background-color: #F9F9FF;
  color: #000;
  font-family: Georgia, serif;
  font-size: 10.5pt;
  margin: 0;
  padding: 0;
}

body {padding: 0 0 3em 0;}

/* needs some tuning */
a {color: #00E;}
a:visited {color:#551A8B}
a:hover {color: #FF6600;}
a:active {color: #E00;}

/* Header <common-header.xml> */

#header {
  margin: 0;
  background: #4A6282;
  background-position: right 0.2em;
  color: #FFF;
  width: 100%;
}
#header a {
  margin: 0.5em 5%;
  color: #FFF;
  text-decoration: none;
  font-family: Georgia, serif;
  font-weight: normal;
  font-variant: small-caps;
  letter-spacing: 0.2em;
  font-size: 2em;
  line-height: 2em;
}
#header a:hover {color: #E0E2E6;}

/* navigation */

#navigation {
  margin: 0;
  padding: 0;
  border: solid #8AA0BC;
  border-width: 1px 0;
  background: #6480A6;
  width: 100%;
}

#navigation h2 {display:none;}

#navigation ol {
  margin: 0 5%;
  padding: 0;
  display: block;
}

#navigation li {
  display: inline;
  line-height: 1.7em;
  margin: 0 0.6em 0 0; /* is readjusted by index.css */
}

#navigation li a {
  color: #FFF;
  text-decoration:none;
  padding: 0.3em;
}

#navigation li a:hover {
  background: #BCC8D8;
}

/* Logo */
#logo {
  position: absolute;
  right: 0;
  top: 0;
  width: 80px;
  height: 80px;
  margin: 0.5em 5%;
  /* transparency fix */
  filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='logo.png', sizingMethod='scale');
}

body>#logo { /* hidden from IE6 */
  background: url('logo.png') no-repeat;
}

/* Main (spans everything that shouldn't go to the margins */
#main {
  clear: left;
  margin: 2em auto;
  padding: 0 5%;
  max-width: 52em;
  width: expression(document.body.clientWidth >
    85 * parseInt(document.body.currentStyle.fontSize) ?
    "48em": "auto");
}

/* Title (usually h1, is inside #main for subpages) */
#title {
  font-weight: normal;
  font-size: 2em;
  border-bottom: 1px solid #BCC8D8;
  margin-top: 2em;
}

/* Content (text of a document, not the main header or sub-navigation) */
#content {
}

#content h2 {
  font-weight: normal;
  font-size: 1.5em;
  border-bottom: 1px solid #AAA;
  margin-top: 2em;
}

#content h3 {
  
}

#content li {
  margin: 0.8em 0;
}

#toc li {
  margin: 0;
}

p {
  line-height: 1.4em;
}

#content p {
  margin: 0;
  text-indent: 2em;
}
#content p.lead {
  text-indent: 0;
}

blockquote.digression {
  font: 11pt Helvetica, sans-serif;
  margin-left: 4em;
  margin-right: 4em;
}

blockquote.fancy {
  background: transparent url(quote-left.png) left top no-repeat;
  margin: 1em 3%;
}
blockquote.fancy div.quote {
  background: transparent url(quote-right.png) right bottom no-repeat;
  padding: .5em 48px .5em;
}
blockquote.fancy div.origin {
  text-align: right;
}

#content pre {
  margin-left:4em;
}

#content pre.long {
  margin-left:2%;
  width: 100%;
  overflow: auto;
}

/* acronym/abbr stuff */

/* acc:abbr is a hack to get styling to work in IE, see pngFix.js for details  */

acronym, abbr, acc\:abbr { /* basic styling */
  border-bottom: none;
  font-size: 80%;
}
h2 acronym, h2 abbr, h2 acc\:abbr{ /* use normal size in headings */
  font-size: 100%;
}
abbr.elaborates, acc\:abbr.elaborates {
  font-size: 100%;
  border-bottom:dotted 1px #000;
  cursor: help;
}

/* aural declarations, pretty much sums up our semantics */
acronym {
  speak: normal;
}
abbr, acc\:abbr {
  speak: spell-out;
}


#content form {
  margin: 1em;
}

#content table {
  margin: 1em;
}
#content table thead th {border-bottom:1px solid #3C578C;}
#content table td, table th {
    padding: 0 .4em;
}

#content .wide-table {
  width: 100%;
}
#content .wide-table td, .wide-table th {
  white-space: nowrap;
}

.disclaimer, .warning {
    background:#FBB;
    border:1px solid #F00;
    margin:1em 3em;
    padding:1em;
}

.notice {
  background:#7084AA;
  border:1px solid #4D5E80;
  color:#FFF;
  margin:1em 0;
  padding:0.6em;
}

.notice a {
  color: #FFF;
  font-weight:bold;
}

.notice p {
  margin-bottom:0;
}

.notice p.lead {
  margin-top:0;
}

.warning h2 {
  color: #911;
  font-weight: bold;
  margin: 0 0 .5em 0;
}
.warning p {
  text-indent: 0;
}

li {
  line-height: 1.4em;
}

ol.notes {
  font-size:8pt;
}

ul.long li {
  margin-top:1em;
}

ol.long li {
  margin-top:1em;
}

.clear {clear:both;}

/* News widgets, for RSSGenerator */

.news .item {
  border-bottom: 1px solid #BCC8D8;
  padding-bottom: 1em;
}
.news .title {
  margin-bottom: 0;
}
.news .date {
  font-style: italic;
  font-size: 10pt;
  margin-bottom: 1em;
  margin-left: 2em;
}
.news .body {}
.news .permalink {
  text-align: right;
}

/* Table of contents, for GenerateTableofContents */

#toc ul {
  list-style-type: none;
}
#toc .toc-label {
  float: left;
  padding-right: .5em;
  text-align: right;
  width: 2em;
}

.floated#toc {float: right; width: 28%; background:#F9F9FF;
  padding:1em; margin: 1em 0 1em 1em; border: 1px solid #AAA;
  position:relative;z-index:1;}
.floated#toc h2 {margin:0; font-size: 1.3em;}
.floated#toc .toc-base {margin:0.9em 0 0; padding:0;} /* Both set to zero for IE and Firefox */
.floated#toc li {
  margin-top: .5em;
}
.floated#toc .toc-label {
  width: 1.5em;
}



/* download */

#download-box {
  background: #437048;
  position: relative;
  padding: 0;
  margin: 2em 0 1em 0;
  min-width: 380px;
}

#download-box h2 {
  font-size: 2em;
  font-weight: normal;
  color: #FFF;
  line-height: 1.5em;
  margin: 0;
  padding: 0 0 0 0.5em;
  border: 0;
}

#download-files {
  background: #70A978 url('art/dl-arrow.png') no-repeat;
  background-position: 10px 100%;
}

#download-box .dl-box {
  margin: 0;
  position: relative;
  padding: 0.5em;
  padding-left: 110px;
}

#download-box .dl-box a {
  color: #000;
  font-size: 1.4em;
  position: relative;
  z-index: 1;
  text-decoration: none;
  border-bottom: 1px solid #437048;
}

#download-box .dl-box a:hover {
  color: #FFF;
}

#download-box .dl-box .file-type {
  color: #437048;
  margin-left: 1em;
  font-size: 1.2em;
}

#download-others {
  text-align: right;
  padding: 0 1.5em 0 0;
  background: #56905c;
}

#download-others a {
  color: #FFF;
  text-decoration: none;
  font-size: 1.2em;
}

#download-others a:hover {
  color: #000;
}

/* news pages */

#news-navigation {
  margin: 1em 0;
  border-top: 1px solid #BCC8D8;
  padding-top: 3px;
}

#news-navigation .prev {
  float: left;
  width: 32%;
}

#news-navigation .index {
  float: left;
  width: 33%;
  text-align: center;
}

#news-navigation .next {
  margin-left: 67%;
  text-align: right;
}

#news-date {
  margin-bottom: 1em;
}
